package ims;

import java.awt.*;
import java.awt.event.*; 
import java.util.*;



//IMS Meta-MetaData Class

public class imsMetaMetaData extends Any{
  
  public imsCatalogEntry[] catalogentry;
  public imsContribute[] contribute;  
  public String scheme;
  public String language;
  
    
  public imsMetaMetaData(String aScheme, String aLanguage) {
      scheme= aScheme;
	  language = aLanguage;

	  catalogentry = null; 
	  contribute = null;
  }
  
  public imsMetaMetaData(imsCatalogEntry[] aCatalogEntry, imsContribute[] aContribute, String aScheme, String aLanguage) {      
	  catalogentry = aCatalogEntry;
      contribute = aContribute; 
      scheme = aScheme;
      language = aLanguage;
  }

  public String imsWrite2XMLString() {
      StringBuffer sb = new StringBuffer();
      sb.append("<METAMETADATA>\n");

      if(catalogentry != null) {
        for(int i=0; i < catalogentry.length; i++)
          sb.append(catalogentry[i].imsWrite2XMLString());        
      }

      if(contribute != null) {
        for(int i=0; i < contribute.length; i++)
          sb.append(contribute[i].imsWrite2XMLString());        
      }
 
      sb.append("<METAMETADATASCHEME>"+scheme+"</METAMETADATASCHEME>\n");
      sb.append("<LANGUAGE>"+language+"</LANGUAGE>\n");
         
      sb.append("</METAMETADATA>");
      return sb.toString();

    }

}
