package sri;

import ims.*;
import java.io.*;  
import java.util.*;

 
// Example class
public class CORE {
  public static void main(String[] args)throws IOException{
	
  // Stuff for General
 	imsLangString[] title = new imsLangString[5];
 	  title[0] = new imsLangString("XML Master Document", "en-US");
   	  title[1] = new imsLangString("Document Principal De Xml", "fr");
   	  title[2] = new imsLangString("Originalbeleg Xml", "de"); 
   	  title[3] = new imsLangString("Documento Matrice Di Xml", "it"); 
   	  title[4] = new imsLangString("Documento Principal De Xml", "es"); 

  	imsCatalogEntry[] catalogentry = new imsCatalogEntry[1];
  	  catalogentry[0] = new imsCatalogEntry("ISBN", new imsLangString("1-424-128924-0341"));

	String[] language = new String[1];
	  language[0] = "en-US";
	  
	imsLangString[] desc = new imsLangString[1];
	  desc[0] = new imsLangString("");



  // Stuff for LifeCycle
	imsVCard[] authors = new imsVCard[4];
	  authors[0] = new imsVCard("Grahame Murray", "SRI International", "grahame.murray@sri.com", "333 Ravenswood Ave.=0A=\nMenlo Park=0A=\nCA=0A=\n94025=0A=\nUSA", "(650) 859-2000");
	  authors[1] = new imsVCard("Philip Vahey", "SRI International", "phil.vahey@sri.com", "333 Ravenswood Ave.=0A=\nMenlo Park=0A=\nCA=0A=\n94025=0A=\nUSA", "(650) 859-2000");
	  authors[2] = new imsVCard("Jamie Fenton", "SRI International", "jfenton@unix.sri.com", "333 Ravenswood Ave.=0A=\nMenlo Park=0A=\nCA=0A=\n94025=0A=\nUSA", "(650) 859-2000");
	  authors[3] = new imsVCard("Hua Ji", "SRI International", "hua@erg.sri.com", "333 Ravenswood Ave.=0A=\nMenlo Park=0A=\nCA=0A=\n94025=0A=\nUSA", "(650) 859-2000");
	
	imsVCard[] publishers = new imsVCard[1];
	  publishers[0] = new imsVCard("", "SRI International", "", "", "");

	imsContribute contribute[] = new imsContribute[2];
	  contribute[0] = new imsContribute(new imsLangString("Author"), authors, new imsDateTime("1999-09-09"));
	  contribute[1] = new imsContribute(new imsLangString("Publisher"), publishers, new imsDateTime("1999-09-09"));
	

	
  // Stuff for Technical
	imsLangString[] format = new imsLangString[2];
	  format[0] = new imsLangString("Java 1.1");
	  format[1] = new imsLangString("XML");
	  
	imsLocation[] location =new  imsLocation[1];
	  location[0] = new imsLocation("http://www.sri.com/", "URI");
	


  // Stuff for Rights	
	imsLangString[] description = new imsLangString[1];
	  description[0] = new imsLangString("Open Source", "en-US");


	
  // Stuff for Classification
	imsLangString[] descriptions = new imsLangString[3];
	  descriptions[0] = new imsLangString("An API for generating properly formatted IMS MetaData XML", "en-US");
	  descriptions[1] = new imsLangString("Eine API fur das Festlegen richtig formatierten IMS MetaData XML", "at");
	  descriptions[2] = new imsLangString("Un API pour produire d'IMS correctement formate MetaData XML", "fr");
	
	imsLangString[] keywords = new imsLangString[3];
	  keywords[0] = new imsLangString("IMS", "en-US");
	  keywords[1] = new imsLangString("Metadata", "en-US");
	  keywords[2] = new imsLangString("XML", "en-US");
	
	imsClassification[] classification = new imsClassification[1];
	  classification[0] = new imsClassification(new imsLangString("Discipline", "en-US"), 
															 new imsLangString(descriptions), 
															 keywords);

	
  // Create a Core object
	imsCore core = new imsCore(new imsMetaMetaData("IMSCORE:1.0", "en-US"),
							   new imsGeneral(new imsLangString("Grahame's XML Doc", "en-US"), catalogentry, language, desc),
							   new imsLifeCycle(new imsLangString("Final"), contribute),
							   new imsTechnical(format, location),
							   new imsRights(new imsLangString("no"), new imsLangString("no", "en-US"), description),
							   classification);

							
  // Print it to file	   
	core.imsWrite2XMLFile("Core",core.imsWrite2XMLString());
  }
}
